Bug 1141619 - (CVE-2019-1010006) VUL-0: CVE-2019-1010006: evince: Evince is affected by buffer overflow. The impact is: DOS / Possible code execution. The component is: backend/tiff/tiff-document.c. The attack vector is: Victin must open a crafted PDF file.
(CVE-2019-1010006)
VUL-0: CVE-2019-1010006: evince: Evince is affected by buffer overflow. The i...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/237125/
CVSSv2:NVD:CVE-2019-1010006:6.8:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-16 10:00 UTC by Wolfgang Frisch
Modified: 2020-05-12 18:37 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
PoC (3.68 KB, application/octet-stream)
2019-07-16 10:02 UTC, Wolfgang Frisch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2019-07-16 10:00:54 UTC
CVE-2019-1010006

Evince 3.26.0 is affected by buffer overflow. The impact is: DOS / Possible code
execution. The component is: backend/tiff/tiff-document.c. The attack vector is:
Victin must open a crafted PDF file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-1010006
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1010006
https://bugzilla.gnome.org/show_bug.cgi?id=788980
http://bugzilla.maptools.org/show_bug.cgi?id=2745
Comment 11 Swamp Workflow Management 2019-08-06 16:12:08 UTC
SUSE-SU-2019:2052-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1141619
CVE References: CVE-2019-1010006
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    evince-3.26.0+20180128.1bd86963-4.10.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    evince-3.26.0+20180128.1bd86963-4.10.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    evince-3.26.0+20180128.1bd86963-4.10.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    evince-3.26.0+20180128.1bd86963-4.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2019-08-07 13:11:35 UTC
SUSE-SU-2019:14141-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1133037,1141619
CVE References: CVE-2019-1010006,CVE-2019-11459
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    evince-2.28.2-0.7.8.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    evince-2.28.2-0.7.8.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    evince-2.28.2-0.7.8.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    evince-2.28.2-0.7.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2019-08-07 13:12:34 UTC
SUSE-SU-2019:2080-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1133037,1141619
CVE References: CVE-2019-1010006,CVE-2019-11459
Sources used:
SUSE OpenStack Cloud 8 (src):    evince-3.20.2-6.27.1
SUSE OpenStack Cloud 7 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP5 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP4 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Desktop 12-SP5 (src):    evince-3.20.2-6.27.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    evince-3.20.2-6.27.1
SUSE Enterprise Storage 5 (src):    evince-3.20.2-6.27.1
SUSE Enterprise Storage 4 (src):    evince-3.20.2-6.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2019-08-09 13:16:04 UTC
SUSE-SU-2019:2098-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1133037,1141619
CVE References: CVE-2019-1010006,CVE-2019-11459
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    evince-3.10.3-2.8.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    evince-3.10.3-2.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2019-08-15 13:25:13 UTC
openSUSE-SU-2019:1908-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1141619
CVE References: CVE-2019-1010006
Sources used:
openSUSE Leap 15.1 (src):    evince-3.26.0+20180128.1bd86963-lp151.4.6.1
openSUSE Leap 15.0 (src):    evince-3.26.0+20180128.1bd86963-lp150.3.6.1
Comment 16 Swamp Workflow Management 2019-08-17 01:12:57 UTC
SUSE-SU-2019:2080-2: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1133037,1141619
CVE References: CVE-2019-1010006,CVE-2019-11459
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    evince-3.20.2-6.27.1
SUSE Enterprise Storage 5 (src):    evince-3.20.2-6.27.1
HPE Helion Openstack 8 (src):    evince-3.20.2-6.27.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Alexandros Toptsoglou 2020-05-06 14:59:19 UTC
Done